# waternsw-grabber #

**waternsw_grabber** downloads bore records from the WaterNSW data portal.  
https://realtimedata.waternsw.com.au

## Installation ##

```
pip install git+http://git.wrl.unsw.edu.au:3000/danh/waternsw-grabber.git
```

## Usage ##

```python
from waternsw_grabber import telemetered_bore_downloader, extract_records

download_dir = 'downloads'
output_dir = 'csv'
start_date = '1900-01-01'
end_date = '2019-02-14'
bore_ids = [
    'GW039102.1.1',
    'GW039114.1.1',
    'GW039117.1.1',
]

# Download bore records
telemetered_bore_downloader(bore_ids, start_date, end_date, download_dir)

# Extract zip archives
extract_records(download_dir, output_dir, clean_up=False)
```
